package com.yutou.napcat.model;

import com.alibaba.fastjson2.annotation.JSONField;
import com.yutou.okhttp.BaseBean;
import lombok.Data;

@Data
public class QQBotStatusBean extends BaseBean {
    @JSONField(name = "online")
    private String online;//当前 QQ 在线，null 表示无法查询到在线状态
    @JSONField(name = "good")
    private String good;//状态符合预期，意味着各模块正常运行、功能正常，且 QQ 在线
}
