package com.yutou.napcat.model;

import com.alibaba.fastjson2.annotation.JSONField;
import com.google.gson.annotations.SerializedName;
import com.yutou.napcat.handle.BaseHandle;
import com.yutou.okhttp.BaseBean;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;
@EqualsAndHashCode(callSuper = true)
@Data
public class SendMessageRequest extends BaseBean {
    @JSONField(name = "user_id")
    private long userId;
    @JSONField
    List<BaseHandle<?>> message;
    @SerializedName("auto_escape")
    private boolean notCQCode;

}
