package com.yutou.qqbot.data.bili;

import lombok.Data;

@Data
public class EPInfo {
    private int code;
    private String message;
    private MediaResult result;

    @Data
    public static class MediaResult {
        private Media media;

        // getters and setters
    }

    @Data
    public static class Media {
        private String cover;
        private String horizontal_picture;
        private int media_id;
        private NewEp new_ep;
        private Rating rating;
        private int season_id;
        private String share_url;
        private String title;
        private int type;
        private String type_name;

        // getters and setters
    }

    @Data
    public static class NewEp {
        private int id;
        private String index;
        private String index_show;

        // getters and setters
    }

    @Data
    public static class Rating {
        private int count;
        private double score;

        // getters and setters
    }
}
