package com.yutou.qqbot.data.jianr;

import lombok.Data;

import java.util.ArrayList;
import java.util.List;

@Data
public class JianRScriptData {
    private String name;
    private String device;
    private List<Script> run;

    public void addRun(Script script) {
        if(run==null){
            run=new ArrayList<>();
        }
        run.add(script);
    }

    @Data
    public static class Script {
        private String name;
        private int nextWaitTime;
        private int randomNextWaitTime;
        private String model;
        private int x;
        private int y;
        private int rx;
        private int ry;
        public static class ScriptModel {
            public static final String CLICK = "click";
            public static final String WAIT = "wait";
        }
    }


}
