package com.yutou.napcat.model;

import com.alibaba.fastjson2.annotation.JSONField;
import com.yutou.okhttp.BaseBean;
import lombok.Data;

@Data
public class GroupUserBean extends BaseBean {
    // 群号
    @JSONField(name = "group_id")
    private long groupId;

    // QQ号
    @JSONField(name = "user_id")
    private long userId;

    // 昵称
    @JSONField(name = "nickname")
    private String nickname;

    // 群名片/备注
    @JSONField(name = "card")
    private String card;

    // 性别，male 或 female 或 unknown
    @JSONField(name = "sex")
    private String sex;

    // 年龄
    @JSONField(name = "age")
    private int age;

    // 地区
    @JSONField(name = "area")
    private String area;

    // 加群时间戳
    @JSONField(name = "join_time")
    private int joinTime;

    // 最后发言时间戳
    @JSONField(name = "last_sent_time")
    private int lastSentTime;

    // 成员等级
    @JSONField(name = "level")
    private String level;

    // 角色，owner 或 admin 或 member
    @JSONField(name = "role")
    private String role;

    // 是否不良记录成员
    @JSONField(name = "unfriendly")
    private boolean unfriendly;

    // 专属头衔
    @JSONField(name = "title")
    private String title;

    // 专属头衔过期时间戳
    @JSONField(name = "title_expire_time")
    private int titleExpireTime;

    // 是否允许修改群名片
    @JSONField(name = "card_changeable")
    private boolean cardChangeable;

}
