package com.yutou.qqbot.data.jianr;

import lombok.Data;

import java.util.List;

@Data
public class JianRScriptV2Data {
    private String title;
    private List<Script> script;

    @Data
    public static class Script {
        private String title;
        private String activity;
        private int nextWaitTime;
        private int randomNextWaitTime;
    }
    public static class ScriptModel {
        public static final String MAP = "map";
        public static final String attack = "attack";
        public static final String formationType = "formationType";
        public static final String dialog_go = "dialog_go";
        public static final String dialog_back = "dialog_back";
        public static final String dialog_assets = "dialog_assets";
        public static final String none = "none";
    }
}
